Package org.h2gis.functions.spatial.properties

# Class ST_Explode

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.spatial.properties.ST_Explode

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Explode extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
This table function explode Geometry Collection into multiple geometries

Author:
  Nicolas Fortin

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ST_Explode.ExplodeResultSet`
Explode fields only on request
`static class`
`ST_Explode.ExplodeResultSetQuery`
Explode fields only on request The input data must be a SELECT expression that contains a geometry column

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXPLODE_FIELD`
The default field name for explode count, value is [1-n]

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Explode()`

## Method Summary

Modifier and Type
Method
Description
`static ResultSet`
`explode(Connection connection, String tableName)`
Explode Geometry Collection into multiple geometries
`static ResultSet`
`explode(Connection connection, String tableName, String fieldName)`
Explode Geometry Collection into multiple geometries
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### EXPLODE_FIELD

public static final String EXPLODE_FIELD
The default field name for explode count, value is [1-n]

See Also:
  - Constant Field Values

## Constructor Details

### ST_Explode

public ST_Explode()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### explode

public static ResultSet explode(Connection connection, String tableName) throws SQLException
Explode Geometry Collection into multiple geometries

Parameters:
  `connection` -
  `tableName` - the name of the input table or select query
Returns:
  A result set with the same content of specified table but with atomic geometries and duplicate values.
Throws:
  `SQLException`

### explode

public static ResultSet explode(Connection connection, String tableName, String fieldName) throws SQLException
Explode Geometry Collection into multiple geometries

Parameters:
  `connection` -
  `tableName` - the name of the input table
  `fieldName` - the name of geometry field. If null the first geometry column is used.
Returns:
Throws:
  `SQLException`